// bopyweb custom CSS

// bopyweb theme bootstrap 4 variables overrides

$darkBlue: #08415c;

// Color theme specified in bopyweb UX pad
$theme-colors: (
  "primary": #007e94,
  "secondary": #d7dedc,
  "info": $darkBlue,
  "success": #86cb92,
  "danger": #a11051,
  "warning": #f0c808
  );


// Cf https://getbootstrap.com/docs/4.3/utilities/colors/#background-gradient
$enable-gradients: true;

// Include bootstrap in SCSS format
@import "../../node_modules/bootstrap/scss/bootstrap";

// bopyweb custom utilities, some are inspired by Tailwind CSS

.bg-marianne {
  background-image: url(marianne_fond.png);
  background-color: white;
  background-repeat: no-repeat;
  background-position-x: center;
  background-position-y: -240px;
  background-size: 600px;
}

.cursor-default {
  cursor: default;
}

.upper {
  text-transform: uppercase;
  font-size: 0.7rem;
  font-weight: bold;
}

.opacity-33 {
  opacity: 0.333;
}

.page-title {
  text-align: center;
}

.tracking-wider {
  letter-spacing: 0.05em;
}

// bopyweb custom components

body {
  background-color: $gray-200;
}

h1, .h1 {
  @extend .my-5;
}

h1.page-title, .h1.page-title {
  @extend .mb-5;
  @extend .mt-0;
}

h2, .h2 {
  @extend .my-3;
}

.btn {
  @extend .upper;
}

.btn-icon {
  @extend .pl-0;
  @extend .py-0;
}

.btn-icon i.bx {
  @extend .mr-2;
  @extend .p-1;
  border-top-left-radius: 0.25rem;
  border-bottom-left-radius: 0.25rem;
  vertical-align: middle;
}

// Alerts

.alert {
  @extend .shadow;
}

// Cards

.card {
  @extend .shadow;
}

.card-header {
  @extend .upper;
  @extend .text-primary;
  font-size: 1rem;
}

// Navbar

nav {
  @extend .bg-marianne;
  @extend .shadow;
}

// Footer inspired from https://getbootstrap.com/docs/4.0/examples/sticky-footer-navbar/

html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}

main {
  padding-top: 60px;
  padding-bottom: 160px;
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  @extend .py-3;
  @extend .text-center;
  @extend .shadow;
  @extend .bg-marianne;
}